STRUCT SKB_SHARED_HW(9)

NAME
struct_skb_shared_hwtstamps - hardware time stamps

SYNOPSIS

struct skb_shared_hwtstamps {
  ktime_t hwtstamp;
};

MEMBERS

hwtstamp
    hardware time stamp transformed into duration since arbitrary point in time

DESCRIPTION

Software time stamps generated by ktime_get_real are stored in skb->tstamp.

hwtstamps can only be compared against other hwtstamps from the same device.

This structure is attached to packets as part of the skb_shared_info. Use skb_hwtstamps to get a pointer.

COPYRIGHT